# -*- coding: utf-8 -*-
from setuphelpers import *

def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    url_dl = "https://dl.google.com/chrome/mac/universal/stable/GGRO/googlechrome.dmg"
    latest_bin = url_dl.split("/")[-1]

    # Downloading latest binaries
    print("Download url is: " + url_dl)
    if isfile(latest_bin):
        remove_file(latest_bin)

    print("Downloading: " + latest_bin)
    wget(url_dl, latest_bin, proxies=proxies)

    # Getting version from binary
    mount_point = mount_dmg(latest_bin)
    plsit_file = makepath(mount_point, "Google Chrome.app", "Contents", "Info.plist")
    version = get_plist_obj(plsit_file)["CFBundleShortVersionString"]
    unmount_dmg(mount_point)

    # Changing version of the package
    if Version(version) > control.get_software_version():
        print("Software version updated from: %s to: %s" % (control.get_software_version(), Version(version)))
        result = True
    control.version = "%s-%s" % (Version(version), control.version.split("-", 1)[-1])
    # control.set_software_version(Version(version))
    control.save_control_to_wapt()

    # Validating update-package-sources
    return result
